%global _hardened_build 1
%global cmake_pkg cmake
%if 0%{?rhel}
%if 0%{?rhel} < 7
%global cmake_pkg cmake28
%global legacy_el 1
%endif
%endif

Name:		zbackup
Version:	1.4.4
Release:	1%{?dist}
Summary:	A versatile deduplicating backup tool

License:	GPLv2+ with exceptions
URL:		http://zbackup.org/
Source0:	https://github.com/zbackup/zbackup/archive/%{version}.tar.gz

BuildRequires:	%{cmake_pkg} >= 2.8.2
BuildRequires:	xz-devel
BuildRequires:	openssl-devel
BuildRequires:	protobuf-devel
BuildRequires:	zlib-devel
BuildRequires:	lzo-devel
BuildRequires:	pandoc

%description
zbackup is a globally-deduplicating backup tool, based on the ideas
found in rsync. Feed a large .tar into it, and it will store duplicate
regions of it only once, then compress and optionally encrypt the
result. Feed another .tar file, and it will also re-use any data found
in any previous backups. This way only new changes are stored, and as
long as the files are not very different, the amount of storage
required is very low.

%prep
%setup -q

%build
mkdir -p objdir tartool/objdir
pushd objdir
%{?cmake28}%{!?cmake28:%{?cmake}} ..
make %{?_smp_mflags}
popd
pushd tartool/objdir
%{?cmake28}%{!?cmake28:%{?cmake}} ..
make %{?_smp_mflags}
popd

%install
%if 0%{?legacy_el}
rm -rf %{buildroot}
%endif
make install -C objdir DESTDIR=%{buildroot}
install tartool/objdir/tartool %{buildroot}%{_bindir}/
%if 0%{?legacy_el}
grep -v travis README.md | pandoc -s -f markdown -t man -o %{name}.1 \
-V title=%{name} -V section=1 -V date="$(LANG=C date -d @$(stat -c'%Z' README.md) +'%B %d, %Y')"
%else
grep -v travis README.md | pandoc -s -f markdown_github -t man -o %{name}.1 \
-V title=%{name} -V section=1 -V date="$(LANG=C date -d @$(stat -c'%Z' README.md) +'%B %d, %Y')"
%endif
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
ln -s %{name}.1 %{buildroot}%{_mandir}/man1/tartool.1

%files
%{_bindir}/*
%{_mandir}/man1/*.1.*
%if 0%{?legacy_el}
%doc LICENSE LICENSE-GPL* CONTRIBUTORS
%else
%license LICENSE LICENSE-GPL*
%doc CONTRIBUTORS
%endif

%changelog
* Mon Sep 21 2015 Vladimir Stackov <amigo.elite at gmail dot com> - 1.4.4-1
- Version bumped to 1.4.4

* Wed Aug 19 2015 Vladimir Stackov <amigo.elite at gmail dot com> - 1.4.3-1
- Version bumped to 1.4.3

* Fri Jul 31 2015 Vladimir Stackov <amigo.elite at gmail dot com> - 1.4.2-1
- Version bumped to 1.4.2

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 23 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4.1-2
- Rebuild for protobuf soname bump

* Wed Jan 07 2015 Vladimir Stackov <amigo.elite at gmail dot com> - 1.4.1-1
- Version bumped to 1.4.1
- Added macroses for EL6

* Fri Dec 19 2014 Vladimir Stackov <amigo.elite at gmail dot com> - 1.3-4
- Modified in appliance with rhbz#1172525

* Fri Dec 12 2014 Vladimir Stackov <amigo.elite at gmail dot com> - 1.3-3
- Produce hardened binaries

* Thu Dec 11 2014 Vladimir Stackov <amigo.elite at gmail dot com> - 1.3-2
- Modified in appliance with rhbz#1172525
- Added tartool

* Wed Dec 10 2014 Vladimir Stackov <amigo.elite at gmail dot com> - 1.3-1
- Initial version of the package
